CREATE TABLE pbb_access_log (
    access_log_id serial NOT NULL,
    user_agent varchar(255) NOT NULL DEFAULT '',
    ip varchar(100) NOT NULL DEFAULT '',
    host varchar(255) NOT NULL DEFAULT '',
    uri varchar(255) NOT NULL DEFAULT '',
    referer varchar(255) NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (access_log_id)
);

CREATE TABLE pbb_banner (
    banner_id serial NOT NULL,
    title varchar(255) NOT NULL DEFAULT '',
    outline text NOT NULL DEFAULT '',
    url text NOT NULL DEFAULT '',
    image_id integer NOT NULL,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (banner_id)
);

CREATE TABLE pbb_bbs_config (
    bbs_config_id serial NOT NULL,
    name varchar(64) NOT NULL DEFAULT '',
    value text NOT NULL DEFAULT '',
    PRIMARY KEY  (bbs_config_id)
);

CREATE TABLE pbb_block_log (
    block_log_id serial NOT NULL,
    ip varchar(100) NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (block_log_id)
);

CREATE TABLE pbb_blocks (
    block_id serial NOT NULL,
    ip varchar(100) NOT NULL DEFAULT '',
    note text NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (block_id)
);

CREATE TABLE pbb_categories (
    category_id serial NOT NULL,
    parent_id integer NOT NULL,
    category_name varchar(255) NOT NULL DEFAULT '',
    outline text NOT NULL DEFAULT '',
    sort_order integer NOT NULL DEFAULT 0,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (category_id)
);

CREATE TABLE pbb_category_topics (
    category_topic_id serial NOT NULL,
    category_id integer NOT NULL,
    topic_id integer NOT NULL,
    PRIMARY KEY  (category_topic_id)
);

CREATE TABLE pbb_images (
    image_id serial NOT NULL,
    title varchar(255) NOT NULL DEFAULT '',
    size integer NOT NULL,
    type varchar(255) NOT NULL DEFAULT '',
    image bytea NOT NULL,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (image_id)
);

CREATE TABLE pbb_links (
    link_id serial NOT NULL,
    link_name varchar(255) NOT NULL DEFAULT '',
    url text NOT NULL DEFAULT '',
    sort_order integer NOT NULL DEFAULT 0,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (link_id)
);

CREATE TABLE pbb_topics (
    topic_id serial NOT NULL,
    author_name varchar(255) NOT NULL DEFAULT '',
    author_email varchar(255) NOT NULL DEFAULT '',
    subject varchar(255) NOT NULL DEFAULT '',
    category_id integer NOT NULL,
    allow_comment smallint NOT NULL DEFAULT 0,
    body text NOT NULL DEFAULT '',
    author_password bytea NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    m_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (topic_id)
);

CREATE TABLE pbb_topic_comments (
    topic_comment_id serial NOT NULL,
    topic_id integer NOT NULL,
    is_checked smallint NOT NULL DEFAULT 0,
    author_name varchar(255) NOT NULL DEFAULT '',
    author_email varchar(255) NOT NULL DEFAULT '',
    comment text NOT NULL DEFAULT '',
    author_password bytea NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (topic_comment_id)
);

CREATE TABLE pbb_user (
    user_id serial NOT NULL,
    id varchar(255) NOT NULL DEFAULT '',
    email bytea NOT NULL DEFAULT '',
    password bytea NOT NULL DEFAULT '',
    nickname varchar(255) NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    m_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (user_id)
);
