<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  リンク一覧情報の取得
 *
 *  @access public
 */
function db_get_links4link_list()
{
    $sql = 'SELECT link_id, link_name, url, sort_order, r_datetime' .
            ' FROM pbb_links' .
            ' ORDER BY sort_order';
    return pocket_db_getAll($sql);
}

/**
 *  リンク情報の登録
 *
 *  @access public
 *  @param  string  $link_name          リンク名
 *  @param  string  $url                URL
 *  @param  integer $sort_order         表示順
 */
function db_insert_link($link_name, $url, $sort_order)
{
    $data = array(
        'link_name' => $link_name,
        'url' => $url,
        'sort_order' => intval($sort_order),
        'r_datetime' => pocket_db_getNow()
    );
    return pocket_db_insert('pbb_links', $data, 'pbb_links_link_id_seq');
}

/**
 *  リンク情報の更新
 *
 *  @access public
 *  @param  integer $link_id            ID
 *  @param  string  $link_name          リンク名
 *  @param  string  $url                URL
 *  @param  integer $sort_order         表示順
 */
function db_update_link($link_id, $link_name, $url, $sort_order)
{
    $data = array(
        'link_name' => $link_name,
        'url' => $url,
        'sort_order' => intval($sort_order),
        'r_datetime' => pocket_db_getNow()
    );
    $where = array(
        'link_id' => intval($link_id)
    );
    return pocket_db_update('pbb_links', $data, $where);
}

/**
 *  リンク情報の削除
 *
 *  @access public
 *  @param  integer $link_id            ID
 */
function db_delete_link($link_id)
{
    return pocket_db_delete('pbb_links', 'link_id', intval($link_id));
}

?>
